Documentation
Browse guides and endpoints
Instagram Endpoints
Complete reference for Instagram API endpoints
8 endpoints available
POST /api/instagram/get-user-tagged-postsParameters
Body Parameters
username_or_urlInstagram username or profile URL
Example: therock
amountstringNumber of reels. Default: 30
Example: 12
Default: 30
pagination_tokenstringUse pagination_token received from previous request to continue getting the next list of tagged posts. Empty for the first request.
Code Examples
curl -X POST "https://apifast.dev/api/instagram/get-user-tagged-posts" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: multipart/form-data" \
-d '{
"username_or_url": "therock",
"amount": "12",
"pagination_token": "value"
}'Example Response
{
"tagged_posts": [
{
"node": {
"pk": "3801958616773243120",
"media_type": 2,
"code": "DTDRTfjgTDw",
"id": "3801958616773243120_182589350",
"accessibility_caption": null,
"caption": {
"pk": "18326924200222535",
"text": "They’re taking their seat at the #THRRoundtable. Catch up with the seven actors as they race for their first Oscar nomination at the link in our bio."
},
"audience": null,
"carousel_media_count": null,
"display_uri": null,
"carousel_media": null,
"image_versions2": {
"candidates": [
{
"height": 800,
"url": "https://scontent-ams2-1.cdninstagram.com/v/t51.71878-15/610541714_1425469365619428_434642783253894601_n.jpg?stp=dst-jpg_e15_tt6&_nc_cat=106&ig_cache_key=MzgwMTk1ODYxNjc3MzI0MzEyMA%3D%3D.3-ccb7-5&ccb=7-5&_nc_sid=58cdad&efg=eyJ2ZW5jb2RlX3RhZyI6InhwaWRzLjY0MHg4MDAuc2RyLkMzIn0%3D&_nc_ohc=ocn8-m7o-qkQ7kNvwFsmtz8&_nc_oc=Adm4eVnJ3coQPNZaxw7PguRjb0X5yKgBGXT0y1EHZHX1D0iqmLfGsX9JyiZ3rfRSLdM&_nc_ad=z-m&_nc_cid=0&_nc_zt=23&_nc_ht=scontent-ams2-1.cdninstagram.com&_nc_gid=GvCKAQdPz-GqdexmGdenyg&oh=00_AfotnfiD65FKWXKNL-daJotGMpoe7giLkLWw-pDM4n0PLg&oe=69601774",
"width": 640
},
{
"height": 800,
"url": "https://scontent-ams2-1.cdninstagram.com/v/t51.71878-15/610541714_1425469365619428_434642783253894601_n.jpg?stp=dst-jpg_e15_tt6&_nc_cat=106&ig_cache_key=MzgwMTk1ODYxNjc3MzI0MzEyMA%3D%3D.3-ccb7-5&ccb=7-5&_nc_sid=58cdad&efg=eyJ2ZW5jb2RlX3RhZyI6InhwaWRzLjY0MHg4MDAuc2RyLkMzIn0%3D&_nc_ohc=ocn8-m7o-qkQ7kNvwFsmtz8&_nc_oc=Adm4eVnJ3coQPNZaxw7PguRjb0X5yKgBGXT0y1EHZHX1D0iqmLfGsX9JyiZ3rfRSLdM&_nc_ad=z-m&_nc_cid=0&_nc_zt=23&_nc_ht=scontent-ams2-1.cdninstagram.com&_nc_gid=GvCKAQdPz-GqdexmGdenyg&oh=00_AfotnfiD65FKWXKNL-daJotGMpoe7giLkLWw-pDM4n0PLg&oe=69601774",
"width": 640
}
]
},
"media_cropping_info": null,
"profile_grid_thumbnail_fitting_style": null,
"media_overlay_info": null,
"preview": null,
"product_type": "clips",
"thumbnails": null,
"timeline_pinned_user_ids": [],
"upcoming_event": null,
"user": {
"pk": "182589350",
"username": "hollywoodreporter",
"id": "182589350"
},
"media_notes": {
"items": []
},
"like_count": 3526,
"like_and_view_counts_disabled": false,
"boosted_status": null,
"boost_unavailable_identifier": null,
"boost_unavailable_reason": null,
"comment_count": 210,
"comments_disabled": null,
"view_count": null,
"original_height": 1350,
"original_width": 1080,
"__typename": "XDTMediaDict"
},
"cursor": ""
}
],
"pagination_token": "3801958616773243120"
}POST /api/instagram/searchParameters
Body Parameters
search_querySearch query term (username, hashtag, or keyword)
Example: London
Code Examples
curl -X POST "https://apifast.dev/api/instagram/search" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "search_query=London"Example Response
{
"see_more": {
"preview_number": 2,
"list": [
{
"position": 0,
"keyword": {
"name": "London",
"id": "8774098344435793361"
}
}
]
},
"hashtags": [
{
"position": 11,
"hashtag": {
"name": "london",
"media_count": 165713400,
"id": "17843744041041545"
}
}
],
"users": [
{
"position": 10,
"user": {
"username": "london",
"is_verified": true,
"full_name": "@LONDON • #ThisIsLondon",
"search_social_context": "3M followers",
"pk": "327771661",
"profile_pic_url": "https://scontent-ams2-1.cdninstagram.com/v/t51.2885-19/16228894_1737976466517014_3728690641299832832_a.jpg"
}
}
],
"places": [],
"rank_token": "1719504847244|fec06f679bd70e60fa3306d0ca912bb115873b74e53c96173b51f56ee4dfd6f2"
}GET /api/instagram/get-profileParameters
Query Parameters
username_or_urlInstagram username or profile URL
Example: therock
Code Examples
curl -X GET "https://apifast.dev/api/instagram/get-profile?username_or_url=therock" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json"Example Response
{
"user_data": {
"follower_count": 391215518,
"following_count": 276,
"media_count": 8271,
"pk": "232192182",
"full_name": "Dwayne Johnson",
"username": "therock",
"is_verified": true,
"profile_pic_url": "https://scontent-ams2-1.cdninstagram.com/v/t51.2885-19/11850309_1674349799447611_206178162_a.jpg?stp=dst-jpg_s150x150_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLmRqYW5nby4xNTAuYzIifQ&_nc_ht=scontent-ams2-1.cdninstagram.com&_nc_cat=1&_nc_oc=Q6cZ2QGT-tzXZhhJGYpzoOKnpp6zPzoD7iK-RxdMu2IJ9LdfM95qSCjF3nSN0SVaWboEqNk&_nc_ohc=x3ZVHL9zUgsQ7kNvwHYUPaT&_nc_gid=HgTfi_VwEliitvGFioOMLw&edm=AA5fTDYBAAAA&ccb=7-5&oh=00_Afr0gIEcP9bgg7ejDEBXVUQ4hBInjXQ8lAPoGpdNknEQig&oe=696024C4&_nc_sid=7edfe2",
"text_post_app_badge_label": "therock",
"show_text_post_app_badge": true,
"live_broadcast_visibility": null,
"live_broadcast_id": null,
"hd_profile_pic_url_info": {
"url": "https://scontent-ams2-1.cdninstagram.com/v/t51.2885-19/11850309_1674349799447611_206178162_a.jpg?efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLmRqYW5nby4xNTAuYzIifQ&_nc_ht=scontent-ams2-1.cdninstagram.com&_nc_cat=1&_nc_oc=Q6cZ2QGT-tzXZhhJGYpzoOKnpp6zPzoD7iK-RxdMu2IJ9LdfM95qSCjF3nSN0SVaWboEqNk&_nc_ohc=x3ZVHL9zUgsQ7kNvwHYUPaT&_nc_gid=HgTfi_VwEliitvGFioOMLw&edm=AA5fTDYBAAAA&ccb=7-5&oh=00_Afp9xYEq989cH6b0lc8Q_UNi9xUVm-TTtLIa85qkZ9xUNg&oe=696024C4&_nc_sid=7edfe2"
},
"is_unpublished": false,
"is_private": false,
"friendship_status": {
"following": false,
"blocking": false,
"is_feed_favorite": false,
"outgoing_request": false,
"followed_by": false,
"incoming_request": false,
"is_restricted": false,
"is_bestie": false
},
"ai_agent_type": null,
"shouldRemoveMessageButtonRiskyInteraction": false,
"supervision_info": null,
"fbid_v2": "17841400005463628",
"id": "232192182"
},
"user_posts": [
{
"node": {
"code": "DOjZnkGkbi5",
"image_versions2": {
"candidates": [
{
"url": "https://scontent-ams2-1.cdninstagram.com/v/t51.82787-15/548889711_18572661697000183_4407449403262740128_n.jpg?stp=dst-jpg_e15_tt6&_nc_cat=107&ig_cache_key=MzcyMDkzMDM4NzEyNTQ1MDkzNzE4NTcyNjYxNjkxMDAwMTgz.3-ccb7-5&ccb=7-5&_nc_sid=58cdad&_nc_aid=0&efg=eyJ2ZW5jb2RlX3RhZyI6InhwaWRzLjEzMDh4MjMyNi5zZHIuQzMifQ%3D%3D&_nc_ohc=KTthpWhr1-gQ7kNvwHEFWZI&_nc_oc=AdmwWFLvtP0qgoofPGmmDhjR5DzlQyxRuZYIj3Q5iEuEkMAj7YlSlSs2OjZM5MLa8eU&_nc_ad=z-m&_nc_cid=0&_nc_zt=23&_nc_ht=scontent-ams2-1.cdninstagram.com&_nc_gid=HgTfi_VwEliitvGFioOMLw&oh=00_AfoH6cohFSFSxcDUiGMW3mp2nOMctphqpeG47sqICqQa_w&oe=69600BA8"
},
{
"url": "https://scontent-ams2-1.cdninstagram.com/v/t51.82787-15/548889711_18572661697000183_4407449403262740128_n.jpg?stp=dst-jpg_e15_p480x480_tt6&_nc_cat=107&ig_cache_key=MzcyMDkzMDM4NzEyNTQ1MDkzNzE4NTcyNjYxNjkxMDAwMTgz.3-ccb7-5&ccb=7-5&_nc_sid=58cdad&_nc_aid=0&efg=eyJ2ZW5jb2RlX3RhZyI6InhwaWRzLjEzMDh4MjMyNi5zZHIuQzMifQ%3D%3D&_nc_ohc=KTthpWhr1-gQ7kNvwHEFWZI&_nc_oc=AdmwWFLvtP0qgoofPGmmDhjR5DzlQyxRuZYIj3Q5iEuEkMAj7YlSlSs2OjZM5MLa8eU&_nc_ad=z-m&_nc_cid=0&_nc_zt=23&_nc_ht=scontent-ams2-1.cdninstagram.com&_nc_gid=HgTfi_VwEliitvGFioOMLw&oh=00_AfpkTCTNWA7ZXPXbMdmWXFqqP_1izqhfyKtEUZv7J-3Mow&oe=69600BA8"
}
]
},
"id": "3720930387125450937_232192182"
}
},
{
"node": {
"code": "DJCAM2oxl1l",
"image_versions2": {
"candidates": [
{
"url": "https://scontent-ams2-1.cdninstagram.com/v/t51.75761-15/494551227_18502407373015227_8324157592813446032_n.jpg?stp=dst-jpg_e15_tt6&_nc_cat=104&ig_cache_key=MzYyMTQ1NzkzMzY1OTE2ODEwMTE4NTAyNDA3MzY3MDE1MjI3.3-ccb7-5&ccb=7-5&_nc_sid=58cdad&efg=eyJ2ZW5jb2RlX3RhZyI6InhwaWRzLjEzMDh4MjMyNi5zZHIuQzMifQ%3D%3D&_nc_ohc=-oKDh4wQPK0Q7kNvwFbSsDb&_nc_oc=AdmYcJdt8NYKevgoyBxS53HF_hMx_u7TYnsQavdPZV6-WWqxxSqLOz492pXRo3vtLEM&_nc_ad=z-m&_nc_cid=0&_nc_zt=23&_nc_ht=scontent-ams2-1.cdninstagram.com&_nc_gid=HgTfi_VwEliitvGFioOMLw&oh=00_AfrFxtTnUroIVGnLDxZplFQ5j4mzDFdDQKsr-odBOn25TQ&oe=696033CF"
},
{
"url": "https://scontent-ams2-1.cdninstagram.com/v/t51.75761-15/494551227_18502407373015227_8324157592813446032_n.jpg?stp=dst-jpg_e15_p480x480_tt6&_nc_cat=104&ig_cache_key=MzYyMTQ1NzkzMzY1OTE2ODEwMTE4NTAyNDA3MzY3MDE1MjI3.3-ccb7-5&ccb=7-5&_nc_sid=58cdad&efg=eyJ2ZW5jb2RlX3RhZyI6InhwaWRzLjEzMDh4MjMyNi5zZHIuQzMifQ%3D%3D&_nc_ohc=-oKDh4wQPK0Q7kNvwFbSsDb&_nc_oc=AdmYcJdt8NYKevgoyBxS53HF_hMx_u7TYnsQavdPZV6-WWqxxSqLOz492pXRo3vtLEM&_nc_ad=z-m&_nc_cid=0&_nc_zt=23&_nc_ht=scontent-ams2-1.cdninstagram.com&_nc_gid=HgTfi_VwEliitvGFioOMLw&oh=00_AfoswYUR1lRE4NRDkoBWOp4PsyY7Om_UhXYQGdM7yzuQLw&oe=696033CF"
}
]
},
"id": "3621457933659168101_306191226"
}
},
{
"node": {
"code": "DTEshaQkVam",
"image_versions2": {
"candidates": [
{
"url": "https://scontent-ams2-1.cdninstagram.com/v/t51.82787-15/610875337_18595892230000183_1996785574774494836_n.jpg?stp=dst-jpg_e35_tt6&_nc_cat=1&ig_cache_key=MzgwMjM1OTc3Njg5NTEyNDYzMg%3D%3D.3-ccb7-5&ccb=7-5&_nc_sid=58cdad&_nc_aid=0&efg=eyJ2ZW5jb2RlX3RhZyI6InhwaWRzLjEzMTl4MTY2NC5zZHIuQzMifQ%3D%3D&_nc_ohc=4miD1qh69iEQ7kNvwG_mo3z&_nc_oc=AdktnGCgMp115Kmt2Kq-3rCNCniZ4KsuSQFV50Q7DPHCL2bg4p6wDO3FE_S9BTCxo2E&_nc_ad=z-m&_nc_cid=0&_nc_zt=23&_nc_ht=scontent-ams2-1.cdninstagram.com&_nc_gid=HgTfi_VwEliitvGFioOMLw&oh=00_AfrSKq-xbXOgmijOmSW8Rz7jcHX2FEFAV8sJhfnEsgROQw&oe=696020B9"
},
{
"url": "https://scontent-ams2-1.cdninstagram.com/v/t51.82787-15/610875337_18595892230000183_1996785574774494836_n.jpg?stp=dst-jpg_e35_p480x480_tt6&_nc_cat=1&ig_cache_key=MzgwMjM1OTc3Njg5NTEyNDYzMg%3D%3D.3-ccb7-5&ccb=7-5&_nc_sid=58cdad&_nc_aid=0&efg=eyJ2ZW5jb2RlX3RhZyI6InhwaWRzLjEzMTl4MTY2NC5zZHIuQzMifQ%3D%3D&_nc_ohc=4miD1qh69iEQ7kNvwG_mo3z&_nc_oc=AdktnGCgMp115Kmt2Kq-3rCNCniZ4KsuSQFV50Q7DPHCL2bg4p6wDO3FE_S9BTCxo2E&_nc_ad=z-m&_nc_cid=0&_nc_zt=23&_nc_ht=scontent-ams2-1.cdninstagram.com&_nc_gid=HgTfi_VwEliitvGFioOMLw&oh=00_Afp9nBlnbml-l-CUE48aEw8DS9zudBXIvd6G7_j6Uqil3w&oe=696020B9"
}
]
},
"id": "3802359795392009894_232192182"
}
}
]
}POST /api/instagram/get-bio-linksParameters
Body Parameters
username_or_urlInstagram username or profile URL
Example: https://www.instagram.com/therock/
dataData type to retrieve. Use "bio_links" for bio links
Example: bio_links
Code Examples
curl -X POST "https://apifast.dev/api/instagram/get-bio-links" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "username_or_url=https%3A%2F%2Fwww.instagram.com%2Ftherock%2F&data=bio_links"Example Response
[
{
"link_type": "external",
"lynx_url": "https://l.instagram.com/?u=http%3A%2F%2Ftherock.komi.io%2F&e=AT1UGsU_59qS2lX17Ikn7m4wtYpPTk-LE7k7ExSu7wini0cqDOMurpteXAkEeJvXBWcXZ6P-zRuwDQd71D2WLlCnFnhqqRj2GY8IYgo",
"title": "",
"url": "http://therock.komi.io"
}
]POST /api/instagram/get-profile-v2Parameters
Body Parameters
username_or_urlInstagram username or profile URL
Example: therock
Code Examples
curl -X POST "https://apifast.dev/api/instagram/get-profile-v2" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "username_or_url=therock"Example Response
{
"friendship_status": {
"following": false,
"blocking": false,
"is_feed_favorite": false,
"outgoing_request": false,
"followed_by": false,
"incoming_request": false,
"is_restricted": false,
"is_bestie": false,
"muting": false,
"is_muting_reel": false
},
"gating": null,
"fbid_v2": "17841400005463628",
"is_memorialized": false,
"is_private": false,
"has_story_archive": null,
"is_coppa_enforced": false,
"supervision_info": null,
"is_regulated_c18": false,
"regulated_news_in_locations": [],
"bio_links": [
{
"image_url": "",
"is_pinned": false,
"link_type": "external",
"lynx_url": "https://l.instagram.com/?u=http%3A%2F%2Ftherock.komi.io%2F%3Futm_source%3Dig%26utm_medium%3Dsocial%26utm_content%3Dlink_in_bio%26fbclid%3DPAZXh0bgNhZW0CMTEAc3J0YwZhcHBfaWQMMjU2MjgxMDQwNTU4AAGndpe-ORZNBApzkqDZAOp12laz7o9e77m6FfrGYPpBKtWSXqlz6Ix6OxjMXKk_aem_PzMqwR0BR-Ufz6O68DqUzA&e=AT16LWffRDDLXVe4zycqLdIwIX_S7rKJtWm084qF0Xsv5pcHbl6j2EzviP9-7GM_-6MzwlCPFdBMVXGii3AT_3072pxSqVgSVlKWjETLWQ",
"media_accent_color_hex": "",
"media_type": "none",
"title": "",
"url": "http://therock.komi.io",
"creation_source": ""
}
],
"linked_fb_info": null,
"text_post_app_badge_label": "therock",
"show_text_post_app_badge": true,
"username": "therock",
"pk": "232192182",
"live_broadcast_visibility": null,
"live_broadcast_id": null,
"profile_pic_url": "https://scontent-ams2-1.cdninstagram.com/v/t51.2885-19/11850309_1674349799447611_206178162_a.jpg?stp=dst-jpg_s150x150_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLmRqYW5nby4xNTAuYzIifQ&_nc_ht=scontent-ams2-1.cdninstagram.com&_nc_cat=1&_nc_oc=Q6cZ2QHim-MY69GtXPiZPzvGd5Uwp1w-2V50N36pF5ItzA17F27SNL2MWjfpIvfbMGiOddc&_nc_ohc=x3ZVHL9zUgsQ7kNvwHYUPaT&_nc_gid=mFf5zW01T8AlK9wFtbxtfg&edm=ALGbJPMBAAAA&ccb=7-5&oh=00_AfpxaqMWUY1YCXaPaLKwWzhVSdFcMbZz6bLCfFwWPHupug&oe=696024C4&_nc_sid=7d3ac5",
"hd_profile_pic_url_info": {
"url": "https://scontent-ams2-1.cdninstagram.com/v/t51.2885-19/11850309_1674349799447611_206178162_a.jpg?efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLmRqYW5nby4xNTAuYzIifQ&_nc_ht=scontent-ams2-1.cdninstagram.com&_nc_cat=1&_nc_oc=Q6cZ2QHim-MY69GtXPiZPzvGd5Uwp1w-2V50N36pF5ItzA17F27SNL2MWjfpIvfbMGiOddc&_nc_ohc=x3ZVHL9zUgsQ7kNvwHYUPaT&_nc_gid=mFf5zW01T8AlK9wFtbxtfg&edm=ALGbJPMBAAAA&ccb=7-5&oh=00_Afpr3Z4PFY3zIKlLezGZStAyqTzBt8MHIYgNrqXuum4u8w&oe=696024C4&_nc_sid=7d3ac5"
},
"is_unpublished": false,
"latest_reel_media": 0,
"has_profile_pic": null,
"profile_pic_genai_tool_info": [],
"biography": "Art, family, tequila, stuff ~ not in that order🪝",
"full_name": "Dwayne Johnson",
"is_verified": true,
"show_account_transparency_details": true,
"account_type": 3,
"follower_count": 391217408,
"mutual_followers_count": 0,
"profile_context_links_with_user_ids": [],
"profile_context_facepile_users": [],
"address_street": "",
"city_name": "",
"is_business": false,
"zip": "",
"biography_with_entities": {
"entities": []
},
"category": "",
"should_show_category": false,
"is_ring_creator": false,
"show_ring_award": false,
"ring_creator_metadata": {
"profile_background_color": null
},
"account_badges": [],
"ai_agent_type": null,
"external_lynx_url": "https://l.instagram.com/?u=http%3A%2F%2Ftherock.komi.io%2F%3Futm_source%3Dig%26utm_medium%3Dsocial%26utm_content%3Dlink_in_bio%26fbclid%3DPAZXh0bgNhZW0CMTEAc3J0YwZhcHBfaWQMMjU2MjgxMDQwNTU4AAGnXOEJ_7sjwokGR4dPl10iWVQMfHd8Gi44EV7fk1KK3M8K76UZfGCl_G3TAN8_aem_J5MwKxih3ZdOngPAwiBLoQ&e=AT3Ex_sWqld1pLKIOsjN2HFLAj2lqUsH4BBzeZFqezzrWL_K1NZo_hiSbR-wACxaBK7CsUXtZXoQy5Fr-bDy2yDfkZzfhaE8VoEaPelGOw",
"external_url": "http://therock.komi.io",
"pronouns": [],
"transparency_label": null,
"transparency_product": null,
"hide_creator_marketplace_badge": false,
"id": "232192182",
"has_chaining": false,
"remove_message_entrypoint": false,
"is_embeds_disabled": false,
"is_cannes": false,
"is_professional_account": null,
"following_count": 276,
"media_count": 8271,
"total_clips_count": 1,
"latest_besties_reel_media": 0,
"reel_media_seen_timestamp": null,
"email_from_biography": [],
"phone_from_biography": []
}POST /api/instagram/get-followersParameters
Body Parameters
username_or_urlInstagram username or profile URL
Example: therock
dataData type to retrieve. Use "followers" for followers list. Do NOT change
Example: followers
amountstringMinimum number of followers to retrieve. Max: 50
Example: 12
Default: 12
pagination_tokenstringUse pagination_token received from previous request to continue getting the next list of followers. Empty for the first request.
Code Examples
curl -X POST "https://apifast.dev/api/instagram/get-followers" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "username_or_url=therock&data=followers&amount=12&pagination_token=value"Example Response
{
"users": [
{
"id": "78931019254",
"username": "all_about648",
"full_name": "All_about",
"profile_pic_url": "https://scontent-waw2-1.cdninstagram.com/v/t51.2885-19/573323465_1219825463302212_7278921664109726296_n.png?stp=dst-jpg_e0_s150x150_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLmRqYW5nby4xNTAuYzIifQ&_nc_ht=scontent-waw2-1.cdninstagram.com&_nc_cat=1&_nc_oc=Q6cZ2QHUeLnBfd_gOp4-MaM87iif_vyum_l7yX9zsubUGfcNTNeDZin4eRXxEPeNsQHgfRI&_nc_ohc=tvd-NGoP9-sQ7kNvwF_y16L&_nc_gid=q69V4vb7k1-Xrq9IPatYNA&edm=AEVnrqQBAAAA&ccb=7-5&ig_cache_key=YW5vbnltb3VzX3Byb2ZpbGVfcGlj.3-ccb7-5&oh=00_Afr4SwNzR0H8Ma4qSBTMKn3d9zIR2LzsCPkoIdg95BmMMA&oe=6960112A&_nc_sid=f8b7b3",
"is_private": true,
"is_verified": false,
"followed_by_viewer": false,
"requested_by_viewer": false,
"reel": {
"expiring_at": 1767611075,
"latest_reel_media": null,
"seen": null
}
}
],
"pagination_token": "QVFBWlV2Ukk3UDJnOWpyV29mT2ZHdDQwa1hTMWhLdmdvZ3dmSGJBN2ExMnZYWk1VVFpMNXdYUnFhU3cwUklCQzRVVzhIa1dHNDdJc3dycDJlOGkxRlB3aw==",
"count": 391217245
}POST /api/instagram/get-postsParameters
Body Parameters
username_or_urlInstagram username or profile URL
Example: https://www.instagram.com/therock/
amountstringNumber of posts you want. Default is 12
Example: 12
Default: 12
pagination_tokenstringpagination_token from the previous request to continue getting next posts
Code Examples
curl -X POST "https://apifast.dev/api/instagram/get-posts" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "username_or_url=https%3A%2F%2Fwww.instagram.com%2Ftherock%2F&amount=12&pagination_token=value"Example Response
{
"posts": [
{
"node": {
"code": "DOjZnkGkbi5",
"pk": "3720930387125450937",
"id": "3720930387125450937_232192182",
"caption": {
"text": "Here's our newest trailer for THE SMASHING MACHINE, written and directed by Silver Lion Best Director winner, Benny Safdie @bowedtie",
"created_at": 1757789584,
"pk": "17978333252755265"
},
"taken_at": 1757789583,
"video_versions": [
{
"width": 1278,
"height": 720,
"url": "https://scontent-ams2-1.cdninstagram.com/o1/v/t2/f2/m86/AQP51ctV4Q5-p_Ho6Oy3-KTQ9CGRPBBDoR6LIbCMpcz3fPi4PvegYql_A68RGT21b9qdEjA6wYLwAX7SLwGju8brX38QMQdCQcbWARA.mp4",
"type": 101
}
],
"image_versions2": {
"candidates": [
{
"url": "https://scontent-ams2-1.cdninstagram.com/v/t51.82787-15/548889711_18572661697000183_4407449403262740128_n.jpg",
"height": 2326,
"width": 1308
}
]
},
"user": {
"pk": "232192182",
"username": "therock",
"full_name": "Dwayne Johnson",
"is_verified": true,
"profile_pic_url": "https://scontent-ams2-1.cdninstagram.com/v/t51.2885-19/11850309_1674349799447611_206178162_a.jpg"
},
"like_count": 155642,
"comment_count": 5029,
"media_type": 2
}
}
],
"pagination_token": "3802359795392009894_232192182"
}GET /api/instagram/search-hashtagParameters
Query Parameters
hashtagThe hashtag to search for
Example: gaming
pagination_tokenstringPagination token for next page of results
Code Examples
curl -X GET "https://apifast.dev/api/instagram/search-hashtag?hashtag=gaming&pagination_token=value" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json"Example Response
{
"id": "17843810587039985",
"name": "gaming",
"allow_following": false,
"is_following": false,
"is_top_media_only": false,
"profile_pic_url": "https://scontent-ams4-1.cdninstagram.com/v/t51.2885-15/508301141_18274589722276618_273514516880308415_n.jpg",
"posts": {
"count": 79392963,
"edges": [
{
"node": {
"comments_disabled": false,
"__typename": "GraphImage",
"id": "3656936270379908471",
"edge_media_to_caption": {
"edges": [
{
"node": {
"text": "#kidsoftplay.\n#gaming.\n#palyzone.\n#vrgame. \n#pcgaming. \n#Celebration. \n8121961424🎉"
}
}
]
},
"shortcode": "DLADCmiPH13",
"edge_media_to_comment": {
"count": 0
},
"taken_at_timestamp": 1750160796,
"dimensions": {
"height": 810,
"width": 1080
},
"display_url": "https://scontent-ams4-1.cdninstagram.com/v/t51.2885-15/504427809_17906318454175985_5341916848715715197_n.jpg",
"edge_liked_by": {
"count": 1
},
"edge_media_preview_like": {
"count": 1
},
"owner": {
"id": "65111311984"
},
"thumbnail_src": "https://scontent-ams4-1.cdninstagram.com/v/t51.2885-15/504427809_17906318454175985_5341916848715715197_n.jpg",
"thumbnail_resources": [
{
"src": "https://scontent-ams4-1.cdninstagram.com/v/t51.2885-15/504427809_17906318454175985_5341916848715715197_n.jpg",
"config_width": 150,
"config_height": 150
}
],
"is_video": false,
"accessibility_caption": "Photo by Balls & Bumps on June 17, 2025. Kan een afbeelding zijn van trampoline, glijbaan, lego, box en tekst."
}
}
]
},
"top_posts": {
"edges": [
{
"node": {
"__typename": "GraphImage",
"id": "3656535383078312397",
"edge_media_to_caption": {
"edges": [
{
"node": {
"text": "January 2026 marks the unfortunate end of an era for the popular PlayStation Plus subscription service.\n\nRead more at the link in our bio. ⛓️ \n\nFollow @gamerantofficial for everything gaming! 👾🎮️"
}
}
]
},
"shortcode": "DK-n47JB5nN",
"edge_media_to_comment": {
"count": 170
},
"taken_at_timestamp": 1750113010,
"dimensions": {
"height": 1350,
"width": 1080
},
"display_url": "https://scontent-ams2-1.cdninstagram.com/v/t51.2885-15/508691099_18057337310252723_2482975725227544138_n.jpg",
"edge_liked_by": {
"count": 3813
},
"edge_media_preview_like": {
"count": 3813
},
"owner": {
"id": "37537268722"
},
"thumbnail_src": "https://scontent-ams2-1.cdninstagram.com/v/t51.2885-15/508691099_18057337310252723_2482975725227544138_n.jpg",
"thumbnail_resources": [
{
"src": "https://scontent-ams2-1.cdninstagram.com/v/t51.2885-15/508691099_18057337310252723_2482975725227544138_n.jpg",
"config_width": 150,
"config_height": 150
}
],
"is_video": false,
"accessibility_caption": "Photo by Game Rant on June 16, 2025. Kan een afbeelding zijn van videogames, poster, gamecontroller en de tekst 'GAMERANT Δ O M JANUARY 2026 WILL BE THE END OF AN ERA FOR PLAYSTATION PLUS GAME RANT VIDEO GAMES'."
}
}
]
},
"content_advisory_posts": {
"count": 0,
"edges": []
},
"pagination_token": "QVFBelYxUzhzOEtfTHVZb2kwR1lXcThVaE1JellpRHJlVVRJSzQ0M0Z2UGEyX3pJdHIwZGFCcEtLUTF2cmFmT2tsM29lX2J2TE9SY0JubGVlZVpoUzYweg=="
}